/**************************************************************************************
** sram_util.h
*/
#ifndef _SRAM_UTIL_H
#define _SRAM_UTIL_H

unsigned char sram_get_alarm( unsigned char a);

unsigned char sram_get_day( char *pziel, unsigned char b );

unsigned char sram_get_monat( char *pziel, unsigned char b );

unsigned char sram_getsram( char todo, char *pziel, int varnum, unsigned int out );

unsigned char sram_get_datetime( char *pziel );

unsigned char sram_get_sonnen( char *pziel, unsigned char typ );

void sram_soft_uart_read_init( void );

void sram_decode_message( char *txt );

void sram_clear_loop(void);

void sram_check_time(unsigned char ticks);


#define SRAM_TRACE_MESS0  BIT0  // 0x01 temperatur message
#define SRAM_TRACE_MESS1  BIT1  // 0x02 httpd.c used
#define SRAM_TRACE_MESS2  BIT2  // 0x04 alle soft uart messages
#define SRAM_TRACE_MESS4  BIT4  // 0x10 regen Save / read

#define SRAM_CLEAR_FLAG     0x0006  // SRAM CLEAR FLAG
#define SRAM_CLEAR_DAY      0x0007  // SRAM CLEAR DAY
#define SRAM_TEMP_SWITCH    0x0008  // SRAM Temeperatur Switch
#define SRAM_CURR_CLEAR_ADR 0x000A  // current clear adresse

#define SRAM_ALARM_ADR      0x000F  // SRAM ALARM ADRESSE

#endif //_SRAM_UTIL_H
